%define firm_file sihpP1005.dl
%define rules_file 11-hpljP1005.rules

Name:           foo2zjs_P1005_firmware
Version:        20090916
Release:        1
License:        GPL v2 or later
Source:         %{name}.tar.gz
Group:          Hardware/Printing
Summary:        Firmware for HP LaserJet P1005 and P1007 for using with foo2zjs driver
BuildRoot:      %{_tmppath}/%{name}
Requires:       cups-drivers-foo2zjs kernel-module-usblp
 
# norootforbuild
 
%description
Firmware for HP LaserJet P1005 and P1007 for using with foo2zjs driver
%prep
%setup -n %{name}
 
%build
 
%install
FRM_PATH="/usr/share/foo2xqx/firmware"
if [ ! -d %{buildroot}/${FRM_PATH} ] ; then
	mkdir -p %{buildroot}/$FRM_PATH
fi

install -c -m 644 %{firm_file} %{buildroot}/$FRM_PATH

RULES_PATH="/lib/udev/rules.d"
if [ ! -d %{buildroot}/${RULES_PATH} ]; then
	mkdir -p %{buildroot}/${RULES_PATH}
fi
install -c -m 644 %{rules_file} %{buildroot}$RULES_PATH

%post
ln -s /usr/sbin/hplj1000 /usr/sbin/hpljP1005
ln -s /usr/sbin/hplj1000 /usr/sbin/hpljP1007

%files
%defattr(-,root,root)
/usr/share/foo2xqx/firmware/%{firm_file}
/lib/udev/rules.d/%{rules_file}
 
%changelog
